@font-face {
  font-family: 'GentiumBookPlus';
  src: url('/assets/fonts/GentiumBookPlus-Regular.woff2') format('woff2');
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'GentiumBookPlus';
  src: url('/assets/fonts/GentiumBookPlus-Bold.woff2') format('woff2');
  font-weight: bold;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'GentiumBookPlus';
  src: url('/assets/fonts/GentiumBookPlus-Italic.woff2') format('woff2');
  font-weight: normal;
  font-style: italic;
  font-display: swap;
}

@font-face {
  font-family: 'GentiumBookPlus';
  src: url('/assets/fonts/GentiumBookPlus-BoldItalic.woff2') format('woff2');
  font-weight: bold;
  font-style: italic;
  font-display: swap;
}

@font-face {
  font-family: 'IosevkaFixed';
  src: url('/assets/fonts/IosevkaFixed-Regular.woff2') format('woff2');
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'IosevkaFixed';
  src: url('/assets/fonts/IosevkaFixed-Italic.woff2') format('woff2');
  font-weight: normal;
  font-style: italic;
  font-display: swap;
}

@font-face {
  font-family: 'IosevkaFixed';
  src: url('/assets/fonts/IosevkaFixed-Bold.woff2') format('woff2');
  font-weight: bold;
  font-style: normal;
  font-display: swap;
}

body {
  font: 19px/1.6 'GentiumBookPlus', sans-serif;
  text-rendering: optimizeLegibility;
  padding: 2rem;
  max-width: 72ch;
  margin: 0 auto;
}

article {
  text-align: justify;
  text-justify: inter-word;
  hyphens: auto;
}

h1, h2, h3, h4, h5 {
  font-size: inherit;
  font-weight: inherit;
  text-decoration: underline;
}

header h1 {
  display: inline;
  overflow: hidden;
  margin: 0;
}

pre, code {
  font-size: 95%;
  font-family: 'IosevkaFixed', monospace;
  background: #2a5a73;
  color: #ffffff;
  line-height: 1.5; 
}

.pre-no-style {
  display: block;
  border: none;
  background: none;
  color: inherit;
  overflow-x: auto;
  scrollbar-width: none;
  -ms-overflow-style: none;
}

pre::-webkit-scrollbar {
  display: none;
}

pre code {
  display: block;
  border: none;
  padding: 1em;
  background: none;
  overflow-x: auto;
  scrollbar-width: none;
  -ms-overflow-style: none;
}

ol, ul {
  list-style: outside; 
  padding: 0;
  margin-left: 1em; 
}

#post-list {
  margin-left: 0;
}

#post-list li {
  list-style-type: none;
  display: flex;
  font-variant-numeric: tabular-nums;
}

#post-list li a {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  min-width: 0;
}

#post-list a {
  text-decoration: none;
  color: inherit;
}

time {
  padding-right: 1rem;
  white-space: nowrap;
}

blockquote {
  margin: 1em 0;
  padding: 0 2em;
  border-left: 3px solid #eee;
}

img {
  max-width: 100%;
}

a, a:visited {
  color: initial;
}

footer {
  margin-top: 2rem;
  font-size: 0.85em;
  color: #888;
}

footer a,
footer a:visited {
  color: #888;
}
